编译PHP时发生make ***[libphp5.la] Error 1的解决方案

2014年12月1日 4728点热度 1人点赞 0条评论

在编译PHP版本时,产生错误make ***[libphp5.la] Error 1

错误原因:系统缺少libtool

经过验证下面方法可行。

错误信息:

系统环境:Centos 7.0

make ***[libphp5.la] Error 1

/usr/bin/ld: cannot find -lltdl

collect2: ld returned 1 exit status

make: *** [libphp5.la] Error 1

解决办法:

1. 安装libtool

# yum install libtool

2. 安装libtool-ltdl-devel

# yum install libtool-ltdl-devel

 

二〇一四年十二月一日 11:09:20

龙魂

本站点用于记录工作及学习中遇到的问题, 也希望本站记录对于同样需要的人带来帮助。 如有问题可发邮件:zp@wlzs.cn